/* BdfServer_API - Copyright (c) 2013-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.storage;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface ResourceFolder {

    /**
     * Vide s'il s'agit de la racine.
     *
     * @return
     */
    public String getName();

    public List<ResourceFolder> getSubfolderList();

    public List<String> getResourceNameList();

}
