/* FichothequeLib_API - Copyright (c) 2006-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.def;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface MotcleFilter {

    public boolean isNoneFiltering();

    public boolean withLevel();

    public boolean withLabels();

    public boolean withIntitule();

    public MotcleFilter getChildrenFilter();

    public MotcleFilter getParentFilter();

    public MotcleFilter getNextFilter();

    public MotcleFilter getPreviousFilter();

    public boolean isWithThesaurusTitle();

    public List<ExtraitCorpusDef> getIndexationExtraitCorpusDefList();

    public List<FicheRattachementDef> getFicheRattachementDefList();

    public String getTagName();

}
